#!/usr/bin/perl

$head = "";

$min_x = 1000000.0;
$min_y = 1000000.0;
$max_x = -1000000.0;
$max_y = -1000000.0;

while (<>) {
	chop;
	chop if (/\r$/);
	if (/^M02\*/) {
	} elsif (/^.ADD([0-9]+)([CR],.*)/) {
	} elsif (/^X([0-9]+)Y([0-9]+)D([0-9]+)\*/) {
		$x = $1;
		$y = $2;
		$d = $3;
		if ($min_x > $x) {
			$min_x = $x;
		}
		if ($max_x < $x) {
			$max_x = $x;
		}
		if ($min_y > $y) {
			$min_y = $y;
		}
		if ($max_y < $y) {
			$max_y = $y;
		}
	} elsif (/^D([0-9]+)\*/) {
	} elsif (/^X([0-9]+)Y([0-9]+)D([0-9]+)\*/) {
	} else {
		$head = $head.$_."\n";
#		print $_."\n";
	}
}
$min_x *= 25.4 / 10000.0;
$max_x *= 25.4 / 10000.0;
$min_y *= 25.4 / 10000.0;
$max_y *= 25.4 / 10000.0;

printf("%7.3fmm %7.3fmm %7.3fmm %7.3fmm\n", $min_x, $min_y, $max_x - $min_x , $max_y - $min_y);
